Groovy JDK

## java.lang
Class Comparable

Method Summary
`int` | `numberAwareCompareTo(Comparable other)` Provides a method that compares two comparables using Groovy's default number aware comparator.

Method Detail

### numberAwareCompareTo

    public int numberAwareCompareTo(Comparable other)

  Provides a method that compares two comparables using Groovy's default number aware comparator.

Parameters:
  `other` - another Comparable.

Returns:
  a -ve number, 0 or a +ve number according to Groovy's compareTo contract

Since:
  1.6.0

Groovy JDK